Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.navigation.page
Enum Transition.DirectionEnum

    java.lang.Object
      java.lang.Enum<Transition.DirectionEnum>
          org.pdfclown.documents.interaction.navigation.page.Transition.DirectionEnum

All Implemented Interfaces:
  Serializable, Comparable<Transition.DirectionEnum>

Enclosing class:
  Transition

    public static enum Transition.DirectionEnum

extends Enum<Transition.DirectionEnum>

Transition direction (counterclockwise) [PDF:1.6:8.3.3].

Enum Constant Summary
`BottomToTop` Bottom to top.
`LeftToRight` Left to right.
`None` None.
`RightToLeft` Right to left.
`TopLeftToBottomRight` Top-left to bottom-right.
`TopToBottom` Top to bottom.

Method Summary
`static Transition.DirectionEnum` | `get(PdfSimpleObject<?> value)` Gets the direction corresponding to the given value.
`PdfSimpleObject<?>` | `getCode()`
`static Transition.DirectionEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Transition.DirectionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LeftToRight

    public static final Transition.DirectionEnum LeftToRight

  Left to right.

### BottomToTop

    public static final Transition.DirectionEnum BottomToTop

  Bottom to top.

### RightToLeft

    public static final Transition.DirectionEnum RightToLeft

  Right to left.

### TopToBottom

    public static final Transition.DirectionEnum TopToBottom

  Top to bottom.

### TopLeftToBottomRight

    public static final Transition.DirectionEnum TopLeftToBottomRight

  Top-left to bottom-right.

### None

    public static final Transition.DirectionEnum None

  None.

Method Detail

### values

    public static Transition.DirectionEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Transition.DirectionEnum c : Transition.DirectionEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Transition.DirectionEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Transition.DirectionEnum get(PdfSimpleObject<?> value)

  Gets the direction corresponding to the given value.

### getCode

    public PdfSimpleObject<?> getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.